package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TaVisitorLicenseSetting;

/**
 * <p>
 * 录入访客车牌功能开关表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-27
 */
public interface ITaVisitorLicenseSettingService extends IService<TaVisitorLicenseSetting> {

    /**
     * true 开启访客邀请的车辆  false 关闭访客邀请的车辆
     * @param userElement
     * @param visitorLicenseBool
     * @return
     */
    ResponseBean saveOrDelete(UserElement userElement, Boolean visitorLicenseBool);

    /**
     * 获取 访客邀请车辆是否开启
     * @param userElement
     * @return
     */
    ResponseBean getVisitorLicense(UserElement userElement);

}
